## org.eclipse.datatools.connectivity.sqm.core.rte
Interface DDLGenerator

All Known Subinterfaces:
  ISybaseDdlGenerator

All Known Implementing Classes:
  GenericDdlGenerator, MySqlDdlGenerator, MySqlDdlGeneratorHelper, SybaseASADdlGenerator, SybaseASEDdlGenerator, SybaseDdlGenerator

    public interface DDLGenerator

Method Summary
`java.lang.String[]` `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
`java.lang.String[]` `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, org.eclipse.core.runtime.IProgressMonitor progressMonitor, IEngineeringCallBack callback)`
`java.lang.String[]` `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
`java.lang.String[]` `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, org.eclipse.core.runtime.IProgressMonitor progressMonitor, IEngineeringCallBack callback)`
`java.lang.String[]` `generateDDL(SQLObject[] elements, org.eclipse.core.runtime.IProgressMonitor progressMonitor)`
`java.lang.String[]` `generateDDL(SQLObject[] elements, org.eclipse.core.runtime.IProgressMonitor progressMonitor, IEngineeringCallBack callback)`
`org.eclipse.datatools.connectivity.sqm.internal.core.rte.EngineeringOptionCategory[]` `getOptionCategories()`
`EngineeringOption[]` `getOptions(SQLObject[] elements)`

Method Detail

### generateDDL

    java.lang.String[] generateDDL(SQLObject[] elements,
                                   org.eclipse.core.runtime.IProgressMonitor progressMonitor)

### createSQLObjects

    java.lang.String[] createSQLObjects(SQLObject[] elements,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames,
                                        org.eclipse.core.runtime.IProgressMonitor progressMonitor)

### dropSQLObjects

    java.lang.String[] dropSQLObjects(SQLObject[] elements,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames,
                                      org.eclipse.core.runtime.IProgressMonitor progressMonitor)

### createSQLObjects

    java.lang.String[] createSQLObjects(SQLObject[] elements,
                                        boolean quoteIdentifiers,
                                        boolean qualifyNames,
                                        org.eclipse.core.runtime.IProgressMonitor progressMonitor,
                                        IEngineeringCallBack callback)

### generateDDL

    java.lang.String[] generateDDL(SQLObject[] elements,
                                   org.eclipse.core.runtime.IProgressMonitor progressMonitor,
                                   IEngineeringCallBack callback)

### dropSQLObjects

    java.lang.String[] dropSQLObjects(SQLObject[] elements,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames,
                                      org.eclipse.core.runtime.IProgressMonitor progressMonitor,
                                      IEngineeringCallBack callback)

### getOptions

    EngineeringOption[] getOptions(SQLObject[] elements)

### getOptionCategories

    org.eclipse.datatools.connectivity.sqm.internal.core.rte.EngineeringOptionCategory[] getOptionCategories()